---
agentTools:
  projectIndex: https://sendios.readme.io/llms.txt
---

# [Email] Get unsubscribed list

АРІ-точка для отримання списку відписаних користувачів cтаном на вказану дату.

| Response params  | Descriptions                               |
| :--------------- | :----------------------------------------- |
| email            | Електронна адреса користувача;             |
| project\_id      | Ідентифікатор Проєкту;                     |
| client\_user\_id | Ідентифікатор користувача у вашій системі; |
| source\_id       | Ідентифікатор причини відписки;            |
| created\_at      | Дата створення відписки.                   |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Sendios API V1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.sendios.io/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/unsub/list/{timestamp}/{current_page}?page_size={page_size": {
      "get": {
        "summary": "[Email] Get unsubscribed list",
        "description": "АРІ-точка для отримання списку відписаних користувачів cтаном на вказану дату.",
        "operationId": "email-get-unsubscribed-list",
        "parameters": [
          {
            "name": "timestamp",
            "in": "path",
            "description": "Час у форматі timestamp для вказання потрібної дати;",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          },
          {
            "name": "page_size",
            "in": "query",
            "description": "Кількість користувачів на сторінці.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10000
            }
          },
          {
            "name": "current_page",
            "in": "path",
            "description": "Номер поточної сторінки.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "value": "{\n    \"_meta\": {\n        \"status\": \"SUCCESS\",\n        \"time\": 13,\n        \"count\": 1\n    },\n    \"data\": {\n        \"result\": [\n            {\n                \"email\": \"test@example.com\",\n                \"project_id\": 1,\n                \"client_user_id\": 69622895,\n                \"source_id\": 8,\n                \"created_at\": \"2021-11-10 00:03:09\"\n            },\n            {\n                \"email\": \"test1@example.com\",\n                \"project_id\": 1,\n                \"client_user_id\": 69623001,\n                \"source_id\": 9,\n                \"created_at\": \"2021-11-10 00:10:00\"\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_meta": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "SUCCESS"
                        },
                        "time": {
                          "type": "integer",
                          "example": 13,
                          "default": 0
                        },
                        "count": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        }
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "result": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "email": {
                                "type": "string",
                                "example": "test@example.com"
                              },
                              "project_id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "client_user_id": {
                                "type": "integer",
                                "example": 69622895,
                                "default": 0
                              },
                              "source_id": {
                                "type": "integer",
                                "example": 8,
                                "default": 0
                              },
                              "created_at": {
                                "type": "string",
                                "example": "2021-11-10 00:03:09"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Bad request": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X GET https://api.sendios.io/v1/unsub/list/1262307661/1?page_size=1000 \\\n    -u 123:957081746b54977d51bef9fc74f4d4fd023bab13\n\n# timestamp(2010-01-01) = 1262307661"
            },
            {
              "language": "php",
              "code": "$date = '2020-03-20';\n$page = 1;\n$pageSize = 20;\n$this->sendios->unsub->getListByDate($date, $page, $pageSize);"
            }
          ],
          "samples-languages": [
            "curl",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62612e954e73ee00a2f415e3:656c7a8583250400464fe40b"
}
```